const handleAddItems = (idsList: string[], addToCart: Function) => {
  if (idsList.length <= 0) return

  const formattedAddList = idsList.map((i) => {
    return {
      merchandiseId: `${i}`,
      attributes: {
        key: 'type',
        value: 'GWP',
      },
    }
  })

  addToCart(formattedAddList)
}

export default handleAddItems
