import { CartWithActions } from '@shopify/hydrogen'

const handleRemoveItems = (handlesList: string[], cart: CartWithActions) => {
  if (handlesList.length <= 0) return

  const linesToRemove = cart.lines
    .filter((i) => handlesList.includes(i.merchandise.product.handle))
    .map((i) => i.id)

  cart.linesRemove(linesToRemove)
}

export default handleRemoveItems
